#
# optimizer.sh
# Instaluje rozszerzenie Zend-Optimizer
#
# @author BetaSoft
# @version 0.9
#

INSTALL_DIR=$(pwd)

cd /tmp

# NAME1="ZendOptimizer-3.2.6-linux-glibc21-i386"
NAME1="ZendOptimizer-3.3.3-linux-glibc23-i386"

if [ "$HOSTTYPE" = "x86_64" ]
then
  NAME1="ZendOptimizer-3.3.3-linux-glibc23-x86_64"
fi

tar -xvzf $INSTALL_DIR/lib/${NAME1}.tar.gz
cp $INSTALL_DIR/conf/install.sav /tmp/${NAME1}/zui_files/

cd $NAME1

echo "----------------------"
echo ""
echo "ATTENTION! Use this paths:"
echo "To your php.ini file: /etc/php5/apache2"
echo "To the Apache2ctl:    /usr/sbin/apache2ctl"
echo "To main apache exec:  /usr/sbin/apache2"
echo ""
echo "----------------------"

sleep 3

./install

rm -fr $NAME1

mv /etc/php5/cli/php.ini /etc/php5/cli/php.ini.bak-$(date +%s)
ln -s /etc/php5/apache2/php.ini /etc/php5/cli/php.ini

cd $INSTALL_DIR

